ECHO(1)

NAMN
echo — visa en rad text

SYNOPSIS
echo [KORT_FLAGGA]... [STRÄNG]...
echo LÅNG_FLAGGA

BESKRIVNING

Eka STRÄNG(arna) till standard ut.

-n  Skriv inte ut den avslutande nyraden.

-e  Slå på tolkning av sekvenser med omvänt snedstreck.

-E  Slå av tolkning av sekvenser med omvänt snedstreck (standard).

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Om -e är påslaget tolkas följande sekvenser:

\\  omvänt snedstreck

\a  varning (SIGNAL)

\b  backsteg

\c  producera ingen ytterligare utmatning

\e  escape-tecken

\f  sidmatning

\n  nyrad

\r  vagnretur

\t  horisontell tabulator

\v  vertikal tabulator

\0NNN
    byte med oktalt värde NNN (1 till 3 siffror)

\xHH
    byte med hexadecimalt värde HH (1 till 2 siffror)

Ditt skal kan ha sin egen version av echo, som vanligen ersätter versionen som beskrivs här. Se dokumentationen för ditt skal för detaljer om valen det stödjer.

Överväg att använda kommandot ”printf” istället, eftersom det undviker problem vid utmatning av flaggliknande strängar.

UPPHOVSMAN
Skrivet av Brian Fox och Chet Ramey.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
printf(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/echo>
eller tillgängligt lokalt via: info '(coreutils) echo invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.